Get Memory
curl --request GET \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/memory/{memory_id} \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/memory/{memory_id}"
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>'
}
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/memory/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categories": [
"<string>"
],
"content": "<string>",
"event_date_start": "2023-11-07T05:31:56Z",
"event_date_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"version_number": 123,
"total_versions": 123,
"has_previous_versions": true,
"previous_versions": [
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"content": "<string>",
"event_date_start": "2023-11-07T05:31:56Z",
"event_date_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"expiration_reason": "<string>",
"merge_conflict_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"connected_memories": [
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>"
}
],
"merge_conflict_in_progress": true,
"session_id": "<string>",
"expired_at": "2023-11-07T05:31:56Z",
"expiration_reason": "<string>",
"merge_conflict_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Memories
Get Memory
Retrieve a specific memory by ID with version history and relationships.
Get complete details for a single memory including its content, categories, version history, and connected memories. Accepts any version of a memory ID, including older expired versions.
Path Parameters:
custom_user_id(str): Unique identifier for the usermemory_id(str): Memory UUID to retrieve
Query Parameters:
include_previous_versions(bool): Include full version history for this memory. Default: trueinclude_connected_memories(bool): Include related memories via relationships. Default: true
Returns:
- UserMemoryItem: Complete memory object with all metadata, categories, and optional version/relationship data
GET
/
api
/
v1
/
users
/
{custom_user_id}
/
memory
/
{memory_id}
Get Memory
Query Parameters
Include full version history for this memory
Include connected memories
Response
Memory retrieved successfully
Complete memory information with all metadata
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

